Bug 1114089 (CVE-2014-3534) - CVE-2014-3534 kernel: s390: ptrace: insufficient sanitization when setting psw mask
Summary: CVE-2014-3534 kernel: s390: ptrace: insufficient sanitization when setting ps...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3534
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140721,repo...
Depends On: 1113673 1114090 1122612
Blocks: 1113990
TreeView+ depends on / blocked
 
Reported: 2014-06-27 17:16 UTC by Petr Matousek
Modified: 2019-06-08 20:05 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that Linux kernel's ptrace subsystem did not properly sanitize the address-space-control bits when the program-status word (PSW) was being set. On IBM S/390 systems, a local, unprivileged user could use this flaw to set address-space-control bits to the kernel space, and thus gain read and write access to kernel memory.
Clone Of:
Environment:
Last Closed: 2014-08-06 17:37:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1023 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-08-06 21:10:29 UTC

Description Petr Matousek 2014-06-27 17:16:40 UTC
It was found that Linux kernel's ptrace subsystem did not properly
sanitize psw mask value. On s390 systems, an unprivileged local user
could use this flaw to set address space control bits to kernel space
combination and thus gain read/write access to kernel memory.

Comment 2 Petr Matousek 2014-06-27 17:23:56 UTC
Statement:

This issue did not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

Comment 4 Petr Matousek 2014-07-23 15:36:03 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1122612]

Comment 5 Martin Prpič 2014-07-24 09:25:14 UTC
Acknowledgments:

Red Hat would like to thank Martin Schwidefsky of IBM for reporting this issue.

Comment 6 Fedora Update System 2014-08-01 06:02:45 UTC
kernel-3.15.7-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Martin Prpič 2014-08-05 12:07:36 UTC
IssueDescription:

It was found that Linux kernel's ptrace subsystem did not properly sanitize the address-space-control bits when the program-status word (PSW) was being set. On IBM S/390 systems, a local, unprivileged user could use this flaw to set address-space-control bits to the kernel space, and thus gain read and write access to kernel memory.

Comment 8 errata-xmlrpc 2014-08-06 17:12:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1023 https://rhn.redhat.com/errata/RHSA-2014-1023.html

Comment 9 Fedora Update System 2014-08-08 08:41:52 UTC
kernel-3.14.15-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.